<?php
	include('is_logged.php');
	$id_compra= $_SESSION['id_compra'];
	require_once ("../config/db.php");
	require_once ("../config/conexion.php");
	
			$sql_abono=mysqli_query($con,"select * from compras WHERE id_compra='".$id_compra."'") or die(mysqli_error($con));
				$rw_compra=mysqli_fetch_array($sql_abono);
				$numero_fact=$rw_compra['numero_fact'];
				$total=$rw_compra['total'];
				$abono=$rw_compra['abono'];
		
		$id_proveedor=$_POST['id_proveedor'];
		$condiciones=$_POST['condiciones'];
		$banco=$_POST['banco'];
		if($banco==NULL)$banco=0;
		$ref=$_POST['ref'];
	    if($ref==NULL)$ref=0;
		$fecha_pago=$_POST['fecha_pago'];
		$monto=$_POST['monto'];
				
		$abonos=$monto+$abono;
		$por_pagar=$total-$abonos;
		
		$sql="UPDATE compras SET por_pagar='".$por_pagar."', abono='".$abonos."' WHERE id_compra='".$id_compra."'";
		
		$sql2="INSERT INTO `abonos` (`proveedor`, `fecha_abono`, `monto_abono`, `factura`, `tipo_abono`, `banco_abono`, `ref_abono`) VALUES ('$id_proveedor', '$fecha_pago', '$monto', '$numero_fact', '$condiciones', '$banco', '$ref')";
		
		
		$query_insert = mysqli_query($con,$sql2) or die(mysqli_error($con));
		
		$query_update = mysqli_query($con,$sql) or die(mysqli_error($con));
			if ($query_update){
				echo "<script>alert('Abono Procesado');
window.location='../adquisiciones.php';
</script>";
				
			} else{
				$errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
			}
		 
?>
